Page MenuHomePhabricator

Investigate (and if possible, drop) _counters
Closed, ResolvedPublic

Description

We also need to drop _counters table.
I would suggest the same procedure as done at T132837

It looks like _counters table are also empty as per:

for i in `mysql -hdb1015 -e "show databases;" -AB `; do echo ***$i***; mysql -hdb1015 -e "select count(*) from $i._counters;";done

A traffic capture also suggests nothing is attempting to read from it.

Probably renaming the table and leave it like that for a couple of days is a good and safe approach, so I would be executing this later

for i in `mysql -hdb1015 -e "show databases;" -AB `; do echo ***$i***; mysql -hdb1015 $i -e "rename table _counters to TO_DROP__counters";done

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

The following has been executed in db1015:

for i in `mysql -hdb1015 -e "show databases;" -AB `; do echo ***$i***; mysql -hdb1015 $i -e "rename table _counters to TO_DROP__counters";done

To revert the change

for i in `mysql -hdb1015 -e "show databases;" -AB `; do echo ***$i***; mysql -hdb1015 $i -e "rename table TO_DROP__counters to _counters";done
jcrespo triaged this task as Medium priority.Sep 13 2016, 1:51 PM
jcrespo moved this task from Triage to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2016-09-15T06:54:51Z] <marostegui> renaming tables before dropping them - T145487

I have renamed _counters to TO_DROP__counters in all the codfw hosts:

dbstore2001.codfw.wmnet
dbstore2002.codfw.wmnet
db2036.codfw.wmnet
db2043.codfw.wmnet
db2050.codfw.wmnet
db2057.codfw.wmnet
db2018.codfw.wmnet

If needed to revert: neodymium:/home/marostegui/rename_revert

I have renamed it to TO_DROP__counters in eqiad hosts

dbstore1001.eqiad.wmnet
dbstore1002.eqiad.wmnet
labsdb1001.eqiad.wmnet
labsdb1003.eqiad.wmnet
db1069.eqiad.wmnet
db1015.eqiad.wmnet
db1035.eqiad.wmnet
db1038.eqiad.wmnet
db1044.eqiad.wmnet
db1077.eqiad.wmnet
db1078.eqiad.wmnet
db1075.eqiad.wmnet

This table has been dropped for good in both DCs.

Marostegui closed this task as Resolved.Oct 4 2016, 7:21 AM

This table exists in S1 - check and drop if possible.

Marostegui reopened this task as Open.Oct 4 2016, 8:12 AM

So _counters and hitcounter still exist at:

S1
enwiki

S2
bgwiki
bgwiktionary
cswiki
enwikiquote
enwiktionary
eowiki
fiwiki
idwiki
itwiki
nlwiki
nowiki
plwiki
ptwiki
svwiki
thwiki
trwiki
zhwiki

S3 - none

S4
commonswiki

S5
dewiki
wikidatawiki

S6
frwiki
jawiki
ruwiki

S7
arwiki
cawiki
eswiki
fawiki
frwiktionary
hewiki
huwiki
kowiki
metawiki
rowiki
ukwiki
viwiki

I believe this can be closed

Marostegui closed this task as Resolved.Oct 17 2016, 3:39 PM
TerraCodes renamed this task from Investigate (and if possible drop _counters) to Investigate (and if possible, drop) _counters.Jul 31 2017, 8:46 AM